#
versión 0.9.33

## Documentación de opcións

Copyright © 2002-2024 by varios colaboradores; see AUTHORS.txt.
https://tuxpaint.org/

29 de Abril de 2024

Índice

- Tux Paint Config.
- Ficheiro de configuración
- Opcións dispoñíbeis
  - Video/Sound
  - Mouse/Keyboard
  - Simplificación
  - Languages
  - Impresión
  - Gardar
  - Data
  - Accessibility
  - Joystick
- Anulación da configuración do sistema. Opcións
- Opcións da liña de ordes
  - Opcións informativas da liña de ordes
- Escoller un idioma diferente
  - Idiomas dispoñíbeis
  - Axustar o idioma do seu contorno
  - Tipos de letra especiais

# Tux Paint Config.

Está dispoñíbel unha ferramenta gráfica que lle permite cambiar o comportamento de Tux Paint. Non obstante, se prefire non instalar e usar esta ferramenta, ou quere comprender mellor as opcións dispoñíbeis, siga lendo.

# Ficheiro de configuración

Pode crear un ficheiro de configuración sinxelo para Tux Paint, que lerá cada vez que o inicie.

O ficheiro é simplemente un ficheiro de texto sinxelo que contén as opcións que quere activar habilitar:

## Usuarios de Linux e Unix

`/home/nome de usuario/.tuxpaintrc`

### Ficheiro de configuración de todo o sistema

Before this file is read, a system-wide configuration file is read. (By default, this configuration has no settings enabled.) It is normally located at:

> `/etc/tuxpaint/tuxpaint.conf`

## Usuarios de macOS

`/Users/nome de usuario/Library/Application Support/TuxPaint/tuxpaint.cfg`

### Ficheiro de configuración de todo o sistema

Before this file is read, a system-wide configuration file is read. (By default, this configuration has no settings enabled.) It is normally located at:

> `/Library/Application Support/TuxPaint/tuxpaint.cfg`

## Usuarios de Windows

`C:\Users\nome de usuario\AppData\Roaming\TuxPaint\tuxpaint.cfg`

Pode usar NotePad ou WordPad para crear este ficheiro. Asegúrese de gardalo como texto simple e asegúrese de que o nome do ficheiro non teña «.txt» ao final...

### Ficheiro de configuración de todo o sistema

Before this file is read, a system-wide configuration file is read. (By default, this configuration has no settings enabled.) It is normally located at:

`C:\Program Files\TuxPaint\tuxpaint.cfg`

## Haiku Users

`/boot/home/config/settings/TuxPaint/tuxpaint.conf`

⚙ You can disable reading of this file altogether, leaving the settings as defaults (which can then be overridden by your personal config. file and/or command-line arguments) by using the command-line option "`--nosysconfig`".

# Opcións dispoñíbeis

Os seguintes axustes pódense estabelecer no ficheiro de configuración. (A configuración da liña de ordes substituirá estes. Vexa a sección «Opcións da liña de ordes», a continuación.)

## Video/Sound

### Video

`fullscreen=yes`

  Executar o programa en modo de pantalla completa en vez de nunha xanela.

  ⚙ Note: If used in a system-wide configuration file, may be overridden by the user's configuration file using "`fullscreen=no`". In both cases, may be overridden by the command-line option "`--windowed`".

`fullscreen=native`

  Executar o programa en modo de pantalla completa. Ademais, asume a resolución actual da pantalla (estabelecida polo sistema operativo).

`windowsize=TAMAÑO`

  Executar o programa a un tamaño diferente (en modo xanela) ou a unha resolución de pantalla diferente (en modo de pantalla completa), en lugar do predeterminado (normalmente 800x600).

  O valor TAMAÑO debería presentarse en píxeles, en formato «largo por alto», cun «x» (X minúsculo) entre os valores. O tamaño pode ser calquera que teña polo menos 640 de largo e polo menos 480 de alto.

  Algúns exemplos:

  - 640x480
  - 1024x768
  - 768x1024
  - 1600x1200

  💡 If only one display is available, and Tux Paint is being run in windowed (not fullscreen) mode, and the chosen window size exceeds the capabilities of the display, Tux Paint will fall back to the display's dimensions.

`orient=portrait`

  Cambia as opcións de largo/alto dadas a Tux Paint, útiles para xirar a xanela nas pantallas verticais, como unha tableta que está en orientación de tableta.

  ⚙ Note: If used in a system-wide configuration file, may be overridden by the user's configuration file using "`orient=landscape`". In both cases, may be overridden by the command-line option "`--orient=landscape`".

`native=yes`

  Ao executar Tux Paint en modo de pantalla completa, isto asume a resolución actual da pantalla (anulando calquera opción «`windowsize`»), segundo o estabelecido polo sistema operativo.

`allowscreensaver=yes`

  By default, Tux Paint prevents your system's screensaver from starting up. You can override this by using the "`allowscreensaver`" option. (You can also do this by setting the "`SDL_VIDEO_ALLOW_SCREENSAVER`" environment variable on your system to "`1`".)

  ⚙ Note: If used in a system-wide configuration file, may be overridden by the user's configuration file using "`allowscreensaver=no`" or "`disablescreensaver=yes`". In both cases, may be overridden by the command-line option "`--disablescreensaver`".

### Sound

`nosound=yes`

  Desactivar os efectos de son. (Nota: Ao premer `[Alt]` + [S] non se poden volver activar os sons se se desactivaron usando esta opción).

  ⚙ Note: If used in a system-wide configuration file, may be overridden by the user's configuration file using "`nosound=no`" or "`sound=yes`". In both cases, may be overridden by the command-line option "`--sound`".

`nostereo=yes`

  Desactivar a compatibilidade con panorama estéreo. (Útil para usuarios con discapacidade auditiva nun oído ou lugares onde se está a empregar un só altofalante ou auricular.)

  ⚙ Note: If used in a system-wide configuration file, may be overridden by the user's configuration file using "`nostereo=no`" or "`stereo=yes`". In both cases, may be overridden by the command-line option "`--stereo`".

### Interface Size

`buttonsize=TAMAÑO`

  Estabeleza o tamaño dos píxeles dos botóns na interface de usuario de Tux Paint (substituíndo o predeterminado de «48»). Útil cando se usan pantallas de alta densidade ou dispositivos de entrada groseiros, como rastrexadores de ollos.

  O valor TAMAÑO debería presentarse en píxeles e pode estar entre 24 e 192, inclusive. A maioría dos botóns son cadrados e isto afectará ao seu largo e alto.

  A value of "`auto`" may be provided, and Tux Paint will choose a suitable button size based on the size of Tux Paint's window (or fullscreen display). (For the default screen size of 800x600, it will be the default button size: "48".)

  💡 Note: If the chosen button size would cause the buttons to be too large for all required UI elements to appear under Tux Paint's chosen window size, the largest possible button size will be used. (A note will appear in `stderr`.)

`colorsrows=FILAS`

  Cantas filas de botóns da paleta de cores amosar; útil cando se usa unha gran paleta de cores (ver «`colorfile`», arriba) e/ou para usar con dispositivos de entrada groseiros (como os rastrexadores de ollos). «`FILAS`» pode estar entre «1» (o predeterminado) e «3».

## Mouse/Keyboard

### Cursor

`nofancycursors=yes`

  Isto desactiva as fantásticas formas do punteiro do rato en Tux Paint e usa o punteiro normal do seu contorno.

  Nalgúns contornos, os cursores de fantasía causan problemas. Use esta opción para evitalos.

  ⚙ Note: If used in a system-wide configuration file, may be overridden by the user's configuration file using "`nofancycursors=no`" or "`fancycursors=yes`". In both cases, may be overridden by the command-line option "`--fancycursors`".

`hidecursor=yes`

  Isto agocha completamente as formas do punteiro do rato en Tux Paint.

  Isto é útil para dispositivos con pantalla táctil, como as tabletas.

  ⚙ Note: If used in a system-wide configuration file, may be overridden by the user's configuration file using "`hidecursor=no`" or "`showcursor=yes`". In both cases, may be overridden by the command-line option "`--showcursor`".

### Keyboard

`noshortcuts=yes`

  Isto desactiva os atallos de teclado (por exemplo,[Ctrl]-[S] para gardar, [Ctrl]-[N] para unha nova imaxe, etc.)

  Isto é útil para evitar que ordes non desexadas sexan activadas por cativos que non teñen experiencia con teclados.

  ⚙ Note: If used in a system-wide configuration file, may be overridden by the user's configuration file using "`noshortcuts=no`" or "`shortcuts=yes`". In both cases, may be overridden by the command-line option "`--shortcuts`".

### Mouse

`grab=yes`

  Tux Paint tentará «amarrar» o rato e o teclado, de xeito que o rato estea confinado na xanela de Tux Paint e case toda a entrada do teclado se lle pase directamente.

  Isto é útil para desactivar as accións do sistema operativo que poidan sacar ao usuario de Tux Pain do ciclo de xanelast [Alt]-[Tab], [Ctrl]-[Escape], etc. Isto é especialmente útil no modo de pantalla completa.

  ⚙ Note: If used in a system-wide configuration file, may be overridden by the user's configuration file using "`grab=no`" or "`dontgrab=yes`". In both cases, may be overridden by the command-line option "`--dontgrab`".

`nowheelmouse=yes`

  Isto desactiva a compatibilidade para a roda dos ratos que a teñen. (Normalmente, a roda desprazará o menú do selector á dereita.)

  ⚙ Note: If used in a system-wide configuration file, may be overridden by the user's configuration file using "`nowheelmouse=no`" or "`wheelmouse=yes`". In both cases, may be overridden by the command-line option "`--wheelmouse`".

`nobuttondistinction=yes`

  Antes do Tux Paint 0.9.15, tamén se podían empregar os botóns medio e dereito do rato para premer. Na versión 0.9.15, cambiouse para que só funcionase o botón esquerdo do rato para non adestrar aos cativos a usar o botón incorrecto.

  Porén, para os cativos que teñen problemas co rato, pódese desactivar esta distinción entre os dous ou tres botóns do rato (devolvendo Tux Paint ao seu antigo comportamento) usando esta opción.

  ⚙ Note: If used in a system-wide configuration file, may be overridden by the user's configuration file using "`nobuttondistinction=no`" or "`buttondistinction=yes`". In both cases, may be overridden by the command-line option "`--buttondistinction`".

## Simplificación

### Interface Simplification

`simpleshapes=yes`

  Desactive o paso de rotación da ferramenta «Forma». Prema, arrastra e solte é todo o que se necesita para debuxar unha forma.

  ⚙ Note: If used in a system-wide configuration file, may be overridden by the user's configuration file using "`simpleshapes=no`" or "`complexshapes=yes`". In both cases, may be overridden by the command-line option "`--complexshapes`".

`nooutlines=yes`

  Neste modo, amósanse contornos e liñas «elásticas» moito máis sinxelas cando se usan as ferramentas Liñas, Formas, Selos e Goma.

  Isto pode axudar cando Tux Paint se executa en computadores moi lentos ou se amosa nunha pantalla remota de X-Window.

  ⚙ Note: If used in a system-wide configuration file, may be overridden by the user's configuration file using "`nooutlines=no`" or "`outlines=yes`". In both cases, may be overridden by the command-line option "`--outlines`".

`uppercase=yes`

  Todo o texto renderizarase só con maiúscula (por exemplo, «Pincel» será «PINCEL»). Útil para os cativos que saben ler, pero que ata agora só aprenderon maiúsculas.

  ⚙ Note: If used in a system-wide configuration file, may be overridden by the user's configuration file using "`uppercase=no`" or "`mixedcase=yes`". In both cases, may be overridden by the command-line option "`--mixedcase`".

### Tamaño inicial do selo

`stampsize=TAMAÑO`

  Use esta opción para forzar a Tux Paint a estabelecer o tamaño inicial de todos os selos. O valor `TAMAÑO` debería estar entre 0 (máis pequeno) e 10 (máis grande). O tamaño é relativo aos tamaños dispoñíbeis do selo, que depende do selo en si, e do tamaño actual do lenzo de Tux Paint.

  Especifique «`default`» para que Tux Paint decida (o seu comportamento estándar).

### Control Simplification

`noquit=yes`

  Desactivar o botón «Saír» na pantalla e evitar saír de Tux Paint coa tecla [Escape].

  Usar a combinación de teclado `[Alt]` + `[F4]` ou premer no botón de peche da xanela (asumindo que non está en modo de pantalla completa) segue a funcionar para saír de Tux Paint.

  Tamén pode usar a seguinte combinación de teclado para saír: [Maiúsculas] + [Control] + [Escape].

  ⚙ Note: If used in a system-wide configuration file, may be overridden by the user's configuration file using "`noquit=no`" or "`quit=yes`". In both cases, may be overridden by the command-line option "`--quit`".

`nostamps=yes`

  Esta opción dille a Tux Paint que non cargue ningunha imaxe de selo de caucho, o que á súa vez acaba desactivando a ferramenta Selos.

  Isto pode acelerar Tux Paint cando se carga por primeira vez e reducir o uso de memoria mentres se está a executar. Por suposto, ningún selo estará dispoñíbel.

  ⚙ Note: If used in a system-wide configuration file, may be overridden by the user's configuration file using "`nostamps=no`" or "`stamps=yes`". In both cases, may be overridden by the command-line option "`--stamps`".

`nostampcontrols=yes`

  Algunhas imaxes da ferramenta Selos pódense reflectir, inverter e/ou cambiar o seu tamaño. Esta opción desactiva os controis e só fornece os selos básicos.

  ⚙ Note: If used in a system-wide configuration file, may be overridden by the user's configuration file using "`nostampcontrols=no`" or "`stampcontrols=yes`". In both cases, may be overridden by the command-line option "`--stampcontrols`".

`nostamprotation=yes`

  This disables the rotation step of the Stamps tool, immediately placing the stamp in its regular orientation (with any flipping or mirroring applied) on the first click.

  📜 Note: The stamp rotation feature was added to Tux Paint in version 0.9.29.

  ⚙ Note: If used in a system-wide configuration file, may be overridden by the user's configuration file using "`nostamprotation=no`" or "`stamprotation=yes`". In both cases, may be overridden by the command-line option "`--stamprotation`".

`nomagiccontrols=yes`

  Algunhas ferramentas de Maxia teñen a opción de actuar coma un pincel ou afectar todo o lenzo á vez. Esta opción desactiva os controis e só fornece a funcionalidade predeterminada (normalmente en modo pintura).

  ⚙ Note: If used in a system-wide configuration file, may be overridden by the user's configuration file using "`nomagiccontrols=no`" or "`magiccontrols=yes`". In both cases, may be overridden by the command-line option "`--magiccontrols`".

`nomagicsizes=yes`

  Some Magic tools offer various size settings. This option disables the sizing control, and only provides the tools' default sizes. (Some plugins may offer additional variations of a Magic tool, to make a few sizes possible, e.g. "Bricks" and "Googly Eyes".)

  ⚙ Note: If used in a system-wide configuration file, may be overridden by the user's configuration file using "`nomagicsizes=no`" or "`magicsizes=yes`". In both cases, may be overridden by the command-line option "`--magicsizes`".

`ungroupmagictools=yes`

  By default, the Magic tools in Tux Paint are organized into groups of similar tools (e.g., all of the color, saturation, darken/lighten tools together). This option removes the grouping, and places all of the tools in one long list.

  📜 Note: Magic tool groups were added in Tux Paint 0.9.27. The option to disable grouping was added to Tux Paint in version 0.9.33.

  ⚙ Note: If used in a system-wide configuration file, may be overridden by the user's configuration file using "`ungroupmagictools=no`" or "`groupmagictools=yes`". In both cases, may be overridden by the command-line option "`--groupmagictools`".

`noshapecontrols=yes`

  Desactivar os botóns de control que se amosan cando se usa a ferramenta Formas que permiten cambiar como se debuxan as formas: centradas arredor do clic inicial do rato ou cun canto co clic inicial do rato.

  ⚙ Note: If used in a system-wide configuration file, may be overridden by the user's configuration file using "`noshapecontrols=no`" or "`shapecontrols=yes`". In both cases, may be overridden by the command-line option "`--shapecontrols`".

`nolabel=yes`

  Desactiva a ferramenta Etiqueta: a ferramenta que permite a entrada de texto que se pode editar máis tarde.

  ⚙ Note: If used in a system-wide configuration file, may be overridden by the user's configuration file using "`nolabel=no`" or "`label=yes`". In both cases, may be overridden by the command-line option "`--label`".

`nobrushspacing=yes`

  Disables the brush spacing option of the Paint and Lines tools. The brushes' default spacings will be used.

  📜 Note: The brush spacing option was added to Tux Paint's user interface in version 0.9.28. For more information on brush spacing, see EXTENDING.html

  ⚙ Note: If used in a system-wide configuration file, may be overridden by the user's configuration file using "`nobrushspacing=no`" or "`brushspacing=yes`". In both cases, may be overridden by the command-line option "`--brushspacing`".

`complexity=COMPLEXITY`

  Sets the complexity (expertise) level of Tux Paint, which can either disable some Magic tools, or cause them to operate differently. (For example, the "Clone" tool is not available in novice mode, and the 1-, 2-, and 3-point perspective tools do not allow vanishing points to be edited in beginner mode.)

  The `COMPLEXITY` value may be one of:

  `advanced` (o predeterminado)
    "Advanced" — For users familiar with Tux Paint and who can operate more complex tools.
  `beginner`
    "Beginner" — For users comfortable with Tux Paint, but where complex tools may cause confusion or frustration.
  `novice`
    "Novice" — For first-time Tux Paint users, users inexperienced with computers, or those with special accessibility needs.

  📜 Note: The complexity option was added to Tux Paint in version 0.9.32. Consult the individual Magic tools' documentation.

  ⚙ Note: If used in a system-wide configuration file, may be overridden by the user's configuration file using "`complexity=advanced`". In both cases, may be overridden by the command-line option "`--complexity=advanced`".

`notemplateexport=yes`

  Disables the ability to create a new Template image (based on a saved drawing) from within the Open dialog.

  📜 Note: The Template creation feature was added to Tux Paint in version 0.9.31.

  ⚙ Note: If used in a system-wide configuration file, may be overridden by the user's configuration file using "`notemplateexport=no`" or "`templateexport=yes`". In both cases, may be overridden by the command-line option "`--templateexport`".

`noerase=yes`

  Disables the ability to erase saved drawings via the "Erase" button on the Open dialog, or exported Template images (based on a saved drawing) via the "Erase" button on the New dialog. Useful to prevent users from erasing work, especially combined with the `--saveovernew` option.

  📜 Note: This option was added to Tux Paint in version 0.9.31.

  ⚙ Note: If used in a system-wide configuration file, may be overridden by the user's configuration file using "`noerase=no`" or "`erase=yes`". In both cases, may be overridden by the command-line option "`--erase`".

## Languages

### Language

`lang=IDIOMA`

  Run Tux Paint in one of the supported languages. Possible choices for LANGUAGE currently include:

  > `english` | `american-english` |
  > `acholi` | `acoli` |
  > `afrikaans` |  |
  > `akan` | `twi-fante` |
  > `albanian` |  |
  > `amharic` |  |
  > `arabic` |  |
  > `aragones` |  |
  > `armenian` | `hayeren` |
  > `assamese` |  |
  > `asturian` |  |
  > `australian-english` |  |
  > `azerbaijani` |  |
  > `bambara` |  |
  > `basque` | `euskara` |
  > `belarusian` | `bielaruskaja` |
  > `bengali` |  |
  > `bodo` |  |
  > `bokmal` |  |
  > `bosnian` |  |
  > `brazilian-portuguese` | `portugues-brazilian` | `brazilian`
  > `breton` | `brezhoneg` |
  > `british-english` | `british` |
  > `bulgarian` |  |
  > `canadian-english` |  |
  > `catalan` | `catala` |
  > `chinese` | `simplified-chinese` |
  > `croatian` | `hrvatski` |
  > `czech` | `cesky` |
  > `danish` | `dansk` |
  > `` | `dogri` |
  > `dutch` | `nederlands` |
  > `esperanto` |  |
  > `estonian` |  |
  > `faroese` |  |
  > `finnish` | `suomi` |
  > `french` | `francais` |
  > `fula` | `fulah` | `pulaar-fulfulde`
  > `gaelic` | `gaidhlig` | `irish-gaelic`
  > `galician` | `galego` |
  > `georgian` |  |
  > `german` | `deutsch` |
  > `greek` |  |
  > `gronings` | `zudelk-veenkelonioals` |
  > `gujarati` |  |
  > `hebrew` |  |
  > `hindi` |  |
  > `hungarian` | `magyar` |
  > `icelandic` | `islenska` |
  > `indonesian` | `bahasa-indonesia` |
  > `inuktitut` |  |
  > `italian` | `italiano` |
  > `japanese` |  |
  > `kabyle` |  | `kabylian`
  > `kannada` |  |
  > `kashmiri-devanagari` |  |
  > `kashmiri-perso-arabic` |  |
  > `khmer` |  |
  > `kiga` | `chiga` |
  > `kinyarwanda` |  |
  > `klingon` | `tlhIngan` |
  > `konkani-devanagari` |  |
  > `konkani-roman` |  |
  > `korean` |  |
  > `kurdish` |  |
  > `latvian` |  |
  > `lithuanian` | `lietuviu` |
  > `luganda` |  |
  > `luxembourgish` | `letzebuergesch` |
  > `macedonian` |  |
  > `maithili` |  |
  > `malay` |  |
  > `malayalam` |  |
  > `manipuri-bengali` |  |
  > `manipuri-meitei-mayek` |  |
  > `marathi` |  |
  > `mexican-spanish` | `espanol-mejicano` | `mexican`
  > `mongolian` |  |
  > `ndebele` |  |
  > `nepali` |  |
  > `northern-sotho` | `sesotho-sa-leboa` |
  > `norwegian` | `nynorsk` | `norsk`
  > `occitan` |  |
  > `odia` | `oriya` |
  > `ojibwe` | `ojibway` |
  > `persian` |  |
  > `polish` | `polski` |
  > `portuguese` | `portugues` |
  > `punjabi` | `panjabi` |
  > `romanian` |  |
  > `russian` | `russkiy` |
  > `sanskrit` |  |
  > `santali-devanagari` |  |
  > `santali-ol-chiki` |  |
  > `scottish` | `ghaidhlig` | `scottish-gaelic`
  > `serbian` |  |
  > `serbian-latin` |  |
  > `shuswap` | `secwepemctin` |
  > `sindhi-devanagari` |  |
  > `sindhi-perso-arabic` |  |
  > `slovak` |  |
  > `slovenian` | `slovensko` |
  > `songhay` |  |
  > `southafrican-english` |  |
  > `spanish` | `espanol` |
  > `sundanese` |  |
  > `swahili` |  |
  > `swedish` | `svenska` |
  > `tagalog` |  |
  > `tamil` |  |
  > `telugu` |  |
  > `thai` |  |
  > `tibetan` |  |
  > `traditional-chinese` |  |
  > `turkish` |  |
  > `twi` |  |
  > `ukrainian` |  |
  > `urdu` |  |
  > `venda` |  |
  > `venetian` | `veneto` |
  > `vietnamese` |  |
  > `walloon` | `walon` |
  > `welsh` | `cymraeg` |
  > `wolof` |  |
  > `xhosa` |  |
  > `miahuatlan-zapotec` |  | `zapotec`
  > `zulu` |  | `zulu`

`--locale IDIOMA`

  Execute Tux Paint nun dos idiomas compatíbeis. Vexa a sección «Escoller un idioma diferente» a continuación para ver as cadeas de configuración local (por exemplo, «`de_DE`» para o alemán) que debe usar.

  (Se a súa configuración local xa está configurada, por exemplo, coa variábel de contorno «`$LANG`», esta opción non é necesaria, xa que Tux Paint respecta a configuración do seu contorno, se é posíbel).

`mirrorstamps=yes`

  Para os selos que se poden reflectir, esta opción estabeléceos de xeito predeterminado na súa forma reflectida.

  Isto pode ser útil para as persoas que prefiren as cousas de dereita a esquerda no canto de de esquerda a dereita.

  ⚙ Note: If used in a system-wide configuration file, may be overridden by the user's configuration file using "`mirrorstamps=no`" or "`dontmirrorstamps=yes`". In both cases, may be overridden by the command-line option "`--dontmirrorstamps`".

### Tipos de letra

`sysfonts=yes`

  Esta opción fai que Tux Paint tente cargar tipos de letra (para usalos na ferramenta Texto) dende o seu sistema operativo. Normalmente, Tux Paint só cargará os que foron incluídos con Tux Paint.

  ⚙ Note: If used in a system-wide configuration file, may be overridden by the user's configuration file using "`sysfonts=no`" or "`nosysfonts=yes`". In both cases, may be overridden by the command-line option "`--nosysfonts`".

`alllocalefonts=yes`

  Antes da versión 0.9.21, Tux Paint cargaba todos os tipos de letra no seu propio directorio de tipos de letra, incluídos os específicos da configuración local (por exemplo, o tibetano, que non tiña caracteres latinos). A partir doa 0.9.21, o único tipo de letra cargado dende o subdirectorio específico da configuración local, se o hai, é o que coincide coa configuración local en que se está a executar Tux Paint.

  Para cargar todos os tipos de letra específicos das configuracións locais (o comportamento antigo), configure esta opción.

  ⚙ Note: If used in a system-wide configuration file, may be overridden by the user's configuration file using "`alllocalefonts=no`" or "`currentlocalefont=yes`". In both cases, may be overridden by the command-line option "`--currentlocalefont`".

`uifont=FONT NAME`

  Esta opción fai que Tux Paint tente cargar tipos de letra (para usalos na ferramenta Texto) dende o seu sistema operativo. Normalmente, Tux Paint só cargará os que foron incluídos con Tux Paint.

  Specify "`default`" to let Tux Paint use its default font, "DejaVu Sans" (its standard behavior).

## Impresión

### Print Permissions

`noprint=yes`

  Desactivar a función de impresión.

`printdelay=SEGUNDOS`

  Restrinxir a impresión para que só poida producirse unha vez cada SEGUNDOS segundos.

  ⚙ Note: If used in a system-wide configuration file, may be overridden by the user's configuration file using "`printdelay=0`". In both cases, may be overridden by the command-line option "`--printdelay=0`".

### Show Printer Dialog

`altprint=always`

  Isto fai que Tux Paint amose sempre o diálogo da impresora (ou, en Linux/Unix, execute a orde «altprint») cando se preme no botón «Imprimir». Noutras palabras, é como premer en «Imprimir» mentres mantén premido `[Alt]`, agás que non precisa manter premida `[Alt]` cada vez.

`altprint=never`

  Isto evita que Tux Paint nunca amose o diálogo da impresora (ou, en Linux/Unix, execute «altprintcommand») cando se preme no botón «Imprimir». Noutras palabras, fai que a tecla `[Alt]` non teña efecto ao premer no botón «Imprimir».

`altprint=mod`

  Este é o comportamento normal e predeterminado. Tux Paint amosa un diálogo de impresora (ou, en Linux/Unix, executa a orde «altprint»), cando se preme a tecla `[Alt]` mentres se preme no botón «Imprimir». Premer en «Imprimir» sen manter premida `[Alt]` imprime sen amosar un diálogo.

### Save Printer Configuration

> `printcfg=yes`

>   (Só Windows e macOS)

>   Tux Paint empregará un ficheiro de configuración da impresora cando imprima. Prema a tecla `[Alt]` mentres fai clic no botón «Imprimir» en Tux Paint para que apareza unha xanela de diálogo de impresión de Windows.

>   Any configuration changes made in this dialog will be saved to the file "`userdata/print.cfg`" , and used again, as long as the "printcfg" option is set.

>   💡 Note: This only works when not running Tux Paint in fullscreen mode.

>   ⚙ Note: If used in a system-wide configuration file, may be overridden by the user's configuration file using "`printcfg=no`" or "`noprintcfg=yes`". In both cases, may be overridden by the command-line option "`--noprintcfg`".

### Print Commands

`printcommand=ORDE`

  (Só Linux e Unix)

  Use a orde ORDE para imprimir un ficheiro en formato PostScript cando se preme no botón «Imprimir». Se esta opción non está especificamente definida, a orde predeterminada é:

  > `lpr`

  📜 Nota: As versións de Tux Paint anteriores ao 0.9.15 enviaban datos en formato PNG á orde de impresión (de xeito predeterminado era «`pngtopnm | pnmtops | lpr`»).

  Se estabeleceu unha alternativa `printcommand` no ficheiro de configuración antes da versión 0.9.15, terá que cambiala.

`altprintcommand=ORDE`

  (Só Linux e Unix)

  Use a orde ORDE para imprimir un ficheiro en formato PostScript cando se preme no botón «Imprimir» mentres se mantén premida a tecla modificadora `[Alt]`. (Iso utilizase normalmente para fornecer un diálogo de impresión, semellante a cando se preme `[Alt]`+«Imprimir» en Windows e macOS.)

  Se esta opción non está especificamente definida, a orde predeterminada é o diálogo gráfico de impresión de KDE:

  > `kprinter`

### Paper Size

`papersize=TAMAÑO_DO_PAPEL`

  (Plataformas que usan o xerador interno PostScript de Tux Paint; non Windows, macOS, BeOS ou Haiku).

  Indica a Tux Paint que tamaño de PostScript debe xerar. Se non se especifica ningún, Tux Paint comproba primeiro a súa variábel de contorno `$PAPER`, após o ficheiro `/etc/papersize` e após usa o tamaño de papel predeterminado da biblioteca «libpaper».

  Os tamaños de papel válidos inclúen: letter, legal, tabloid, executive, note, statement, a0, a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, b0, b1, b2 b3, b4, 10x14, 11x17, halfletter, halfexecutive, halfnote, folio, quarto, ledger, archA, archB, archC, archD, archE, flsa, flse, csheet, dsheet, esheet.

## Gardar

### Save Over Earlier Work

`saveover=yes`

  Isto desactiva a pregunta «Gardar sobre a versión antiga...?» ao gardar un ficheiro existente. Con esta opción, a versión anterior sempre será substituída pola nova versión automaticamente.

`saveover=new`

  Isto tamén desactiva a pregunta «Gardar sobre a versión antiga...?» cando garda un ficheiro existente. Non obstante, esta opción sempre gardará un novo ficheiro no canto de sobrescribir a versión anterior.

`saveover=ask`

  (Esta opción é redundante, xa que esta é a opción predeterminada.) Ao gardar un debuxo existente, primeiro preguntaráselle se quere gardar sobre a versión anterior ou non.

### Starting Out

`startblank=yes`

  Isto fai que Tux Paint amose un lenzo en branco cando se inicia por vez primeira, no canto de cargar a última imaxe que se estaba a editar.

  ⚙ Note: If used in a system-wide configuration file, may be overridden by the user's configuration file using "`startblank=no`" or "`startlast=yes`". In both cases, may be overridden by the command-line option "`--startlast`".

`newcolorslast=yes`

  Coloca as opcións de cor en branco no diálogo Novo ao final, de xeito que se amosen primeiro os iniciadores e/ou modelos.

  ⚙ Note: If used in a system-wide configuration file, may be overridden by the user's configuration file using "`newcolorslast=no`" or "`newcolorsfirst=yes`". In both cases, may be overridden by the command-line option "`--newcolorsfirst`".

### Save and Export Directories

`savedir=DIRECTORIO`

  Use esta opción para cambiar onde se atopa o directorio/cartafol «`saved`» de Tux Paint, que é onde Tux Paint garda e abre imaxes.

  Se non o anula, a ubicación predeterminada é:

  Linux / Unix
    Under a hidden directory in your home directory:
    `/home/nome de usuario/.tuxpaint/saved/`
  Windows
    `C:\Users\nome de usuario\AppData\Roaming\TuxPaint\saved\`
  macOS
    `/Users/nome de usuario/Library/Application Support/TuxPaint/saved/`
  Haiku
    `/boot/home/config/settings/TuxPaint/saved/`

  💡 Note: When specifying a Windows drive (e.g., "`H:\`"), you must also specify a subdirectory.

  📜 Note: Prior to version 0.9.18, Tux Paint would also use the setting or default for "`savedir`" as the place to search for personal data files (brushes, stamps, starters and fonts). As of version 0.9.18, they may be specified separately (see the "`datadir`" option, below).

  Exemplo: `savedir=Z:\tuxpaint\`

`exportdir=DIRECTORIO`

  Use esta opción para cambiar onde Tux Paint exporta ficheiros —imaxes individuais ou diaporamasositivas GIF animadas— uso externo.

  Se non o anula, a ubicación predeterminada é:

  - Linux e Unix: se está dispoñíbel, onde queira que o seu contorno de escritorio estea configurado para que se almacenen imaxes, en función da configuración XDG (X Desktop Group). (Probe a executar a liña de ordes «`xdg-user-dir PICTURES`» para descubrilo.)
    Typically (in an English locale), this will be a "`Imaxes`" subdirectory in your home directory (i.e., "`/home/nome de usuario/Imaxes`").
    Tux Paint will fall back to using that typical directory, if no XDG configuration can be read, or nothing is set for "`XDG_PICTURES_DIR`".
  - Windows - "`My Pictures`" directory for each user (normaly "`C:\Users\nome de usuario\My Pictures`")
    You can directly open the folder as follows:
    - Prema a tecla «[Windows]+[R]» para abrir o diálogo «Executar...».
    - Enter "Shell:My Pictures" in the text box and push [OK].
  - macOS — TBD!

  💡 Note: When the defaults are used, a new "`TuxPaint`" subdirectory will be created and used. (e.g., "`/home/nome de usuario/Imaxes/TuxPaint`") When the "`--exportdir`" option is used, the exact path specified will be used (no "`TuxPaint`" subdirectory is created).

  The directory itself (e.g., "`/home/nome de usuario/Imaxes/TuxPaint`") will be created, if it doesn't exist.

  If the parent directory (e.g., "`/home/nome de usuario/Imaxes`") also does not exist, Tux Paint will attempt to create it as well (but not any directories higher than that).

  Exemplo: `exportdir=/home/penguin/TuxPaintExports`

### More Saving Options

`nosave=yes`

  Isto desactiva a capacidade de Tux Paint para gardar ficheiros (e, polo tanto, desactiva o botón «Gardar» na pantalla). Pode usarse en situacións nas que o programa só se usa para divertirse ou nun contorno de proba.

  ⚙ Note: If used in a system-wide configuration file, may be overridden by the user's configuration file using "`nosave=no`" or "`save=yes`". In both cases, may be overridden by the command-line option "`--save`".

`autosave=yes`

  Isto impide a Tux Paint preguntar se quere gardar a imaxe actual ao saír e supón que si.

  ⚙ Note: If used in a system-wide configuration file, may be overridden by the user's configuration file using "`autosave=no`" or "`noautosave=yes`". In both cases, may be overridden by the command-line option "`--noautosave`".

`reversesort=yes`

  This reverses the sorting of the Open and Slideshow dialogs, placing the newest images at the top of the list.

  ⚙ Note: If used in a system-wide configuration file, may be overridden by the user's configuration file using "`reversesort=no`" or "`noreversesort=yes`". In both cases, may be overridden by the command-line option "`--noreversesort`".

## Data

### Lockfile

`nolockfile=yes`

  De xeito predeterminado, Tux Paint usa o que se coñece como «ficheiro de bloqueo» para evitar que se inicie máis dunha vez en 30 segundos. (Isto é para evitar executar accidentalmente varias copias; por exemplo, premendo dúas veces nun iniciador dun só clic ou simplemente premendo impacientemente na icona varias veces.)

  Para facer que Tux Paint ignore o ficheiro de bloqueo, permitindo que se execute de novo, aínda que se lanzase hai menos de 30 segundos, active este axuste no ficheiro de configuración ou execute Tux Paint coa opción `--nolockfile` na liña de ordes.

  De xeito predeterminado, o ficheiro de bloqueo almacénase en «`~/.tuxpaint/`» en Linux e Unix e en «`userdata\`» en Windows.

  ⚙ Note: If used in a system-wide configuration file, may be overridden by the user's configuration file using "`nolockfile=no`" or "`lockfile=yes`". In both cases, may be overridden by the command-line option "`--lockfile`".

### Data Directory

`datadir=DIRECTORIO`

  Use esta opción para cambiar onde Tux Paint busca ficheiros de datos persoais (pinceis, selos, imaxes de comezo, modelos e tipos de letra específicos do usuario actual).

  Tux Paint buscará subdirectorios/subcartafoles chamados «`brushes`», «`stamps`», «`starters`», «`templates`», «`fonts`» no directorio de datos especificado.

  Se non o anula, a ubicación predeterminada é:

  Linux / Unix
    `/home/nome de usuario/.tuxpaint/`
  Windows
    `C:\Users\nome de usuario\AppData\Roaming\TuxPaint\`
  macoS
    `/Users/nome de usuario/Library/Application Support/TuxPaint/`

  📜 Note: Prior to version 0.9.18, Tux Paint would use the same setting or default as for "`savedir`" to search for data files. As of version 0.9.18, they may be specified separately.

  💡 Note: When specifying a Windows drive (e.g., "`H:\`"), you must also specify a subdirectory.

  Exemplo: `datadir=/home/johnny/tuxpaint-data/`

### Color Palette File

`colorfile=NOME_DE_FICHEIRO`

  Pode anular a paleta de cores predeterminada de Tux Paint creando un ficheiro de texto ASCII simple que describa as cores que quere e apuntando a ese ficheiro usando a opción «`colorfile`».

  O ficheiro debería incluír unha cor por liña. As cores defínense en función dos seus valores vermello, verde e azul, cada un de 0 (apagado) a 255 (máis brillante). (Para obter máis información, vexa o artigo «Modelo de cor RGB (en inglés) de Wikipedia).

  As cores pódense enumerar usando tres números decimais (por exemplo, «`255 68 136`») ou un «triplete» hexadecimal de 6 ou 3 díxitos de longo (por exemplo, «`#ff4488`» ou «`#F48`»).

  Após a definición da cor (na mesma liña) pode introducir texto para describir a cor. Tux amosará este texto cando se prema na cor. (Por exemplo, «`#FFF Branco coma a neve.`»)

  Como exemplo, pode ver as cores predeterminadas empregadas actualmente en Tux Paint en: «`default_colors.txt`».

  NOTAS: Debe separar os valores decimais con espazos e comezar os valores hexadecimais cun carácter de libra/signo de númeral («`#`»). En hexadecimais de 3 díxitos, cada díxito úsase tanto para a metade alta como para a baixa do byte, polo que «`#FFF`» é o mesmo que «`#FFFFFF`» e non que «`#F0F0F0`».

## Accessibility

### Mouse

`mouse-accessibility=yes`

  Neste modo, no canto de premer, arrastrar e soltar (por exemplo, para debuxar), premese, móvese e premese de novo para rematar o movemento.

### Keyboard

`keyboard=yes`

  Isto permite empregar as teclas de frecha do teclado para controlar o punteiro do rato. (por exemplo, para contornos sen rato ou persoas con discapacidade ou problemas de accesibilidade)

  Funcionalidades:

  - Movemento fino dentro do lenzo ou movemento groseiro se se mantén premida `Shift`.
  - Movemento groseiro dentro das áreas dos botóns da ferramenta.
  - Principais controis:
    - [Left]/[Right]/[Up]/[Down], teclado numérico [1] ata [9]: mover o rato
    - [Space]/[5]: premer co rato (agás cando se empregan as ferramentas de «Texto» ou de «Etiqueta»)
    - [Insert]/[F5]: premer co rato (sempre)
    - [F4] fai saltar o rato entre as «Ferramentas», «Cores» e as áreas do lenzo
    - Se o rato está dentro da sección «Ferramentas» á esquerda ou na sección «Cores» na parte inferior:
      - [F7]/[F8]: mover cara abaixo/arriba entre os botóns, respectivamente (só sección de ferramentas)
      - [F11]/[F12]: mover ao botón anterior/seguinte, respectivamente
  - Para premer e arrastrar, manteña premida unha das teclas de «clic» (p. ex.: [Insert]) e use as teclas de movemento (p. ex.: [Left]).

    💡 Note: The "mouse accessibility" feature works with the keyboard mouse controls. With both options enabled, painting tools can be used to draw by pressing a 'click' key to start clicking, movement keys to move around (which will draw), and another 'click' key to end the click (stop drawing).

  - Aínda se pode usar un rato e/ou unha panca de mando (joystick) normais (para que poida, por exemplo, moverse co rato e premer co teclado ou viceversa)

  ⚙ Note: If used in a system-wide configuration file, may be overridden by the user's configuration file using "`keyboard=no`" or "`mouse=yes`". In both cases, may be overridden by the command-line option "`--mouse`".

### Onscreen Keyboard

`onscreen-keyboard=yes`

  Presenta un teclado en pantalla sobre que se pode premer cando empregan as ferramentas Texto e Etiqueta.

`onscreen-keyboard-layout=NOME DA DISPOSICIÓN`

  Selects the initial layout for the on-screen keyboard when using the Text and Label tools.
  Nota: Usar esta opción implica automaticamente onscreen-keyboard=yes, polo que estabelecer ambas as cousas é redundante.

`onscreen-keyboard-disable-change=yes`

  Desactiva a posibilidade de cambiar o deseño do teclado en pantalla cando se usan as ferramentas Texto e Etiqueta, útil para simplificar as cousas para os máis pequechos.
  Nota: Usar esta opción implica automaticamente onscreen-keyboard=yes, polo que estabelecer ambas as cousas é redundante.

  ⚙ Note: If used in a system-wide configuration file, may be overridden by the user's configuration file using "`onscreen-keyboard-disable-change=no`". In both cases, may be overridden by the command-line option "`--onscreen-keyboard-disable-change=no`".

## Joystick

### Main Device

`joystick-dev=N`

  Especifica que dispositivo de mando debe ser usado por Tux Paint. O valor predeterminado é 0 (a primeira panca de mando — joystick).

`joystick-slowness=VELOCIDADE`

  Estabelece un atraso en cada movemento do eixo, permitindo atrasar a panca de mando (joystick). Os valores permitidos van de 0 a 500. O valor predeterminado é 15.

`joystick-threshold=LIMIAR`

  Estabelece o nivel mínimo de movemento do eixe para comezar a mover o punteiro. Os valores permitidos son de 0 a 32766. O valor predeterminado é 3200.

`joystick-maxsteps=PASOS`

  Define os píxeles máximos que moverá o punteiro á vez. Os valores permitidos van do 1 ao 7. O valor predeterminado é 7.

### Hat

`joystick-hat-slowness=VELOCIDADE`

  Estabelece un atraso en cada movemento automático, o que permite diminuír a velocidade do sombreiro. Os valores permitidos van de 0 a 500. O valor predeterminado é 15.

`joystick-hat-timeout=MILISEGUNDOS`

  Estabelece o atraso após de que o punteiro comezará a moverse automaticamente se se mantén premido o sombreiro. Os valores permitidos van de 0 a 3000. O valor predeterminado é 1000.

### Buttons to Disable

`joystick-buttons-ignore=BOTÓN1,BOTÓN2,...`

  Un conxunto de números de botóns do mando (joystick), como se ve en SDL, que deben ignorarse. Se non, a menos que sexan utilizados por unha das opcións «`joystick-btn-`» anteriores, os botóns veranse como un botón esquerdo do rato.

### Button Shortcuts

> `joystick-btn-escape=NÚMERO DE BOTÓN`

>   Selecciona o número do botón da panca de control (joystick), tal e como o ve SDL, que se usará para xerar un evento de escape. Útil para desactivar os diálogos e saír.

> `joystick-btn-brush=NÚMERO DE BOTÓN`

>   Selecciona o número do botón do joystick, como o ve SDL, que será un atallo a seleccionar a ferramenta de pinceis.

> `joystick-btn-stamp=NÚMERO DE BOTÓN`

>   Selecciona o número do botón do joystick, como o ve SDL, que será un atallo a seleccionar a ferramenta de selos.

> `joystick-btn-lines=NÚMERO DE BOTÓN`

>   Selecciona o número do botón do joystick, como o ve SDL, que será un atallo a seleccionar a ferramenta de liñas.

> `joystick-btn-shapes=NÚMERO DE BOTÓN`

>   Selecciona o número do botón do joystick, como o ve SDL, que será un atallo a seleccionar a ferramenta de formas.

> `joystick-btn-text=NÚMERO DE BOTÓN`

>   Selecciona o número do botón do joystick, como o ve SDL, que será un atallo a seleccionar a ferramenta de texto.

> `joystick-btn-label=NÚMERO DE BOTÓN`

>   Selecciona o número do botón do joystick, como o ve SDL, que será un atallo a seleccionar a ferramenta de etiquetas.

> `joystick-btn-fill=NÚMERO DE BOTÓN`

>   Selecciona o número do botón do joystick, como o ve SDL, que será un atallo a select the fill tool.

> `joystick-btn-magic=NÚMERO DE BOTÓN`

>   Selecciona o número do botón do joystick, como o ve SDL, que será un atallo a seleccionar a ferramenta de máxia.

> `joystick-btn-undo=NÚMERO DE BOTÓN`

>   Selecciona o número do botón do joystick, como o ve SDL, que será un atallo a invocar a ferramenta de desfacer.

> `joystick-btn-redo=NÚMERO DE BOTÓN`

>   Selecciona o número do botón da panca de mando (joystick), tal e como o ve SDL, que será un atallo para seleccionar ferramenta de refacer.

> `joystick-btn-eraser=NÚMERO DE BOTÓN`

>   Selecciona o número do botón da panca de mando (joystick), tal e como o ve SDL, que será un atallo para seleccionar ferramenta de goma de borrar.

> `joystick-btn-new=NÚMERO DE BOTÓN`

>   Selecciona o número do botón da panca de mando (joystick), como o ve SDL, que será un atallo para iniciar o diálogo para crear un novo debuxo.

> `joystick-btn-open=NÚMERO DE BOTÓN`

>   Selecciona o número do botón da panca de mando (joystick), como o ve SDL, que será un atallo para iniciar o diálogo para abrir un debuxo existente.

> `joystick-btn-save=NÚMERO DE BOTÓN`

>   Selecciona o número do botón do joystick, como o ve SDL, que será un atallo a garda o debuxo.

> `joystick-btn-pgsetup=NÚMERO DE BOTÓN`

>   Selecciona o número do botón do joystick, como o ve SDL, que será un atallo a inicia o diálogo de configuración da páxina para imprimir.

> `joystick-btn-print=NÚMERO DE BOTÓN`

>   Selecciona o número do botón do joystick, como o ve SDL, que será un atallo a imprimir.

# Anulación da configuración do sistema. Opcións

If any of the above options are set in a system-wide configuration file (e.g. "`/etc/tuxpaint/tuxpaint.conf`" on Linux), you may override them in your own personal configuration file (e.g. "`/home/nome de usuario/.tuxpaintrc`")

For true/false options, like "`noprint`" and "`grab`", you can simply say they equal 'no' in your personal configuration file:

> `noprint=no
> uppercase=no`

Ou pode usar opcións semellantes ás opcións de anulación da liña de ordes que se describen a continuación. Por exemplo:

> `print=yes
> mixedcase=yes`

# Opcións da liña de ordes

Options may also be issued on the command-line when you go to launch Tux Paint.

`--fullscreen=yes
--fullscreen=native
--LARGOxALTO
--orient=portrait
--buttonsize=TAMAÑO
--colorsrows=FILAS
--native
--allowscreensaver
--startblank
--nosound
--nostereo
--noquit
--noprint
--printdelay=SEGUNDOS
--printcfg
--altprintnever
--altprintalways
--papersize=TAMAÑO_DO_PAPEL
--printcommand=ORDE
--altprintcommand=ORDE
--nolockfile
--simpleshapes
--uppercase
--grab
--noshortcuts
--nowheelmouse
--nobuttondistinction
--nofancycursors
--hidecursor
--nooutlines
--nostamps
--nostampcontrols
--nostamprotation
--nomagiccontrols
--nomagicsizes
--noshapecontrols
--nolabel
--nobrushspacing
--newcolorslast
--mouse-accessibility
--onscreen-keyboard
--onscreen-keyboard-layout
--onscreen-keyboard-disable-change
--joystick-dev
--joystick-slowness
--joystick-threshold
--joystick-maxsteps
--joystick-hat-slowness
--joystick-hat-timeout
--joystick-btn-escape
--joystick-btn-brush
--joystick-btn-stamp
--joystick-btn-lines
--joystick-btn-shapes
--joystick-btn-text
--joystick-btn-label
--joystick-btn-magic
--joystick-btn-undo
--joystick-btn-redo
--joystick-btn-eraser
--joystick-btn-new
--joystick-btn-open
--joystick-btn-save
--joystick-btn-pgsetup
--joystick-btn-print
--joystick-buttons-ignore
--sysfonts
--uifont=FONT NAME
--alllocalefonts
--mirrorstamps
--stampsize=TAMAÑO
--keyboard
--savedir DIRECTORIO
--datadir DIRECTORIO
--exportdir DIRECTORIO
--saveover
--saveovernew
--nosave
--autosave
--reversesort
--lang IDIOMA
--colorfile FICHEIRO
`

  Estas activan ou corresponden ás opcións do ficheiro de configuración descritas anteriormente.

`--windowed
--800x600
--orient=landscape
--disablescreensaver
--startlast
--sound
--stereo
--quit
--print
--printdelay=0
--noprintcfg
--altprintmod
--lockfile
--complexshapes
--mixedcase
--dontgrab
--shortcuts
--wheelmouse
--buttondistinction
--fancycursors
--showcursor
--outlines
--stamps
--stampcontrols
--stamprotation
--magiccontrols
--magicsizes
--shapecontrols
--label
--brushspacing
--newcolorsfirst
--nosysfonts
--currentlocalefont
--uifont=default
--dontmirrorstamps
--stampsize=default
--mouse
--saveoverask
--save
--noautosave
--noreversesort
`

  Estas opcións pódense usar para anular calquera axuste feito no ficheiro de configuración. (Se a opción non está configurada no(s) ficheiro(s) de configuración, non será necesaria ningunha opción de anulación.)

`--nosysconfig`

  This prevents the system-wide configuration file (e.g. "`/etc/tuxpaint/tuxpaint.conf`" on Linux), from being read.

  Only your own configuration file (e.g. "`/home/nome de usuario/.tuxpaintrc`" on Linux) — if it exists — will be used.

## Opcións informativas da liña de ordes

As seguintes opcións amosan un texto informativo na pantalla. Non obstante, Tux Paint non se inicia nin se executa despois.

`--version`
`--verbose-version`

  Display the version number and date of the copy of Tux Paint you are running. The "`--verbose-version`" also lists what compile-time options were set. (See INSTALL and FAQ).

`--copying`

  Amosa información breve sobre a licenza para copiar Tux Paint.

`--usage`

  Amosa a lista de opcións de liña de ordes dispoñíbeis.

`--help`

  Amosa unha breve axuda sobre o uso de Tux Paint.

`--lang help`

  Amosa unha lista de idiomas dispoñíbeis en Tux Paint.

`--joystick-dev list`

  Amosa a lista de pancas de mando (joysticks) conectados dispoñíbeis para Tux Paint.

# Escoller un idioma diferente

Tux Paint foi traducido a varios idiomas. Para acceder ás traducións, pode usar a opción «`--lang`» na liña de ordes para estabelecer o idioma (por exemplo, «`--lang spanish`») ou usar o axuste «`lang=`» no ficheiro de configuración (p. ex.: «`lang=spanish`»).

Tux Paint tamén respecta o contorno local actual. (Pode anulalo na liña de ordes usando a opción «`--locale`»; vexa consulta arriba).

Use the option "`--lang help`" to list the language options available.

## Idiomas dispoñíbeis

Código do idioma | Idioma (nome nativo) | Idioma (nome en inglés) | Combinación de teclas de ciclo de método de entrada
--- | --- | --- | ---
`C` |  | English |
`ach_UG` | Acoli | Acholi |
`af_ZA` |  | Afrikaans |
`ak_GH` |  | Akan |
`am_ET` |  | Amharic |
`an_ES` |  | Aragones |
`ar_SA` |  | Arabic |
`as_IN` |  | Assamese |
`ast_ES` |  | Asturian |
`az_AZ` |  | Azerbaijani |
`bm_ML` |  | Bambara |
`bn_IN` |  | Bengali |
`be_BY` | Bielaruskaja | Belarusian |
`bg_BG` |  | Bulgarian |
`bo_CN (*)` |  | Tibetan |
`br_FR` | Brezhoneg | Breton |
`brx_IN` |  | Bodo |
`bs_BA` |  | Bosnian |
`ca_ES` | Català | Catalan |
`ca_ES@valencia` | Valencia | Valencian |
`cgg_UG` | Chiga | Kiga |
`cs_CZ` | Cesky | Czech |
`cy_GB` | Cymraeg | Welsh |
`da_DK` | Dansk | Danish |
`de_DE` | Deutsch | German |
`doi_IN` |  | Dogri |
`et_EE` |  | Estonian |
`el_GR (*)` |  | Greek |
`en_AU` |  | Australian English |
`en_CA` |  | Canadian English |
`en_GB` |  | British English |
`en_ZA` |  | South African English |
`eo` |  | Esperanto |
`es_ES` | Español | Spanish |
`es_MX` | Español-Mejicano | Mexican Spanish |
`eu_ES` | Euskara | Basque |
`fa_IR` |  | Persian |
`ff_SN` | Fulah | Fula |
`fi_FI` | Suomi | Finnish |
`fo_FO` |  | Faroese |
`fr_FR` | Français | French |
`ga_IE` | Gàidhlig | Irish Gaelic |
`gd_GB` | Ghaidhlig | Scottish Gaelic |
`gl_ES` | Galego | Galician |
`gos_NL` | Zudelk Veenkelonioals | Gronings |
`gu_IN` |  | Gujarati |
`he_IL (*)` |  | Hebrew |
`hi_IN (*)` |  | Hindi |
`hr_HR` | Hrvatski | Croatian |
`hu_HU` | Magyar | Hungarian |
`hy_AM` | Hayeren | Armenian |
`id_ID` | Bahasa Indonesia | Indonesian |
`is_IS` | Íslenska | Icelandic |
`it_IT` | Italiano | Italian |
`iu_CA` |  | Inuktitut |
`ja_JP (*)` |  | Japanese | right [Alt] or left [Alt]
`ka_GE` |  | Georgian |
`kab` |  | Kabyle |
`km_KH` |  | Khmer |
`kn_IN` |  | Kannada |
`ko_KR (*)` |  | Korean | right [Alt] or left [Alt]
`kok_IN` |  | Konkani (Devanagari) |
`kok@roman` |  | Konkani (Roman) |
`ks_IN@devanagari` |  | Kashmiri (Devanagari) |
`ks_IN` |  | Kashmiri (Perso-Arabic) |
`ku_TR` |  | Kurdish |
`lb_LU` | Letzebuergesch | Luxembourgish |
`lg_UG` |  | Luganda |
`lt_LT` | Lietuviu | Lithuanian |
`lv_LV` |  | Latvian |
`mk_MK` |  | Macedonian |
`mai_IN` |  | Maithili |
`ml_IN` |  | Malayalam |
`mn_MN` |  | Mongolian |
`mni_IN` |  | Manipuri (Bengali) |
`mni@meiteimayek` |  | Manipuri (Meitei Mayek) |
`mr_IN` |  | Marathi |
`ms_MY` |  | Malay |
`nb_NO` | Norsk (bokmål) | Norwegian Bokmål |
`ne_NP` | Nepali |  |
`nl_NL` |  | Dutch |
`nn_NO` | Norsk (nynorsk) | Norwegian Nynorsk |
`nr_ZA` |  | Ndebele |
`nso_ZA` | Sesotho sa Leboa | Northern Sotho |
`oc_FR` |  | Occitan |
`oj_CA` | Ojibwe | Ojibway |
`pa_IN` |  | Punjabi |
`or_IN` | Odia | Oriya |
`pl_PL` | Polski | Polish |
`pt_BR` | Portugês Brazileiro | Brazilian Portuguese |
`pt_PT` | Portugês | Portuguese |
`ro_RO` |  | Romanian |
`ru_RU` | Russkiy | Russian |
`rw_RW` |  | Kinyarwanda |
`sa_IN` |  | Sanskrit |
`sat_IN` |  | Santali (Devanagari) |
`sat@olchiki` |  | Santali (Ol-Chikii) |
`shs_CA` | Secwepemctin | Shuswap |
`si_LK` |  | Sinhala |
`sd_IN@devanagari` |  | Sindhi (Devanagari) |
`sd_IN` |  | Sindhi |
`sk_SK` |  | Slovak |
`sl_SI` |  | Slovenian |
`son` |  | Songhay |
`sq_AL` |  | Albanian |
`sr_YU` |  | Serbian (cyrillic) |
`sr_RS@latin` |  | Serbian (latin) |
`su_ID` |  | Sundanese |
`sv_SE` | Svenska | Swedish |
`sw_TZ` |  | Swahili |
`ta_IN (*)` |  | Tamil |
`te_IN (*)` |  | Telugu |
`th_TH (*)` |  | Thai |
`tl_PH (*)` |  | Tagalog |
`tlh` | tlhIngan | Klingon |
`tr_TR` |  | Turkish |
`tw_GH` |  | Twi |
`uk_UA` |  | Ukrainian |
`ur_IN` |  | Urdu |
`ve_ZA` |  | Venda |
`vec` | Venèto | Venetian |
`vi_VN` |  | Vietnamese |
`wa_BE` |  | Walloon |
`wo_SN` |  | Wolof |
`xh_ZA` |  | Xhosa |
`zh_CN (*)` |  | Chinese (Simplified) |
`zh_TW (*)` |  | Chinese (Traditional) |
`zam` |  | Zapotec (Miahuatlan) |
`zu_ZA` |  | Zulu |

(*) - Estes idiomas requiren os seus propios tipos de letra, xa que non se representan usando un conxunto de caracteres latinos, como os demais. Vexa a sección «Tipos de letra especiais», a continuación.

💡 Note: Tux Paint provides an alternative input method for entering characters with the Text tool in some locales. The key comibation(s) listed can be used to cycle through the supported input methods while the Text tool is active.

## Axustar o idioma do seu contorno

Cambiar a súa configuración local afectará a gran parte do seu contorno.

Como se indicou anteriormente, ademais de permitirche escoller o idioma en tempo de execución empregando opcións de liña de ordes («`--lang`» e «`--locale`»), Tux Paint respecta o axuste da configuración local do seu contorno.

Se aínda non estabeleceu a configuración local do seu contorno, o seguinte explicará brevemente como:

### Usuarios de Linux/Unix

Primeiro, asegúrese de que a configuración local que quere usar está activada editando o ficheiro «`/etc/locale.gen`» no seu sistema e logo executando o programa «`locale-gen`» como superusuario «root».

💡 Note: Debian users may be able to simply run the command "`dpkg-reconfigure locales`" as root to bring up a configuration dialog. Ubuntu users may be able to run "`sudo dpkg-reconfigure localeconf`" (the "localeconf" package may need to be installed first), or you may need to edit the file "`/var/lib/locales/supported.d/local`" first, and add locales they want, from the list found in "`/usr/share/i18n/SUPPORTED`".

Após, antes de executar Tux Paint, configure a súa variábel de contorno «`$LANG`» a unha das configuracións locais mencionadas anteriormente. (Se quere que todos os programas que se poidan traducir o sexan, pode que queira colocar o seguinte no seu script de inicio de sesión; por exemplo, «`~/.profile`», «`~/.bashrc`», «`~/.cshrc`», etc.)

Por exemplo, nunha consola Bourne (como BASH):

> `export LANG=es_ES ; \
> tuxpaint`

E nunha consola C (como TCSH):

> `setenv LANG es_ES ; \
> tuxpaint`

### Usuarios de Windows

Tux Paint recoñecerá a configuración local actual e empregará de xeito predeterminado os ficheiros apropiados. Polo tanto, esta sección é só para persoas que proban idiomas diferentes.

O máis sinxelo é empregar o interruptor «`--lang`» no atallo (ver «INSTALL [INSTALAR]»). Non obstante, usando unha xanela de indicador do sistema de MSDOS, tamén é posíbel emitir unha orde coma esta:

> `set LANG=es_ES`

...que estabelecerá o idioma para toda a vida desa xanela DOS.

Para obter algo máis permanente, pode estabelecer unha «variábel de contorno» usando o diálogo «Propiedades do sistema» do seguinte xeito:

- Prema a combinación de teclas «[Windows]+[R]» para abrir o diálogo «Executar...».
- Escriba «`sysdm.cpl`» na caixa de texto e prema no botón «[OK]» para abrir o diálogo «Propiedades do sistema».
- Seleccione a lapela «Avanzado».
- Prema no botón «Variábeis de contorno...».
- Edite o valor do parámetr «`LANG`») (créeo, se non existe).

## Tipos de letra especiais

Algúns idiomas requiren que se instalen tipos de letra especiais. Estes ficheiros de letra (que están en formato TrueType (TTF)), son demasiado grandes para incluílos coa descarga de Tux Paint e están dispoñíbeis por separado. (Vexa a táboa anterior, na sección «Escoller un idioma diferente»).

📜 Note: As of version 0.9.18, Tux Paint uses the "SDL_Pango" library, which utilizes the "Pango" library to render text in the user interface, rather than using "SDL_ttf" directly. Unless your copy of Tux Paint was built without Pango support, special fonts should no longer be necessary.

Cando se executa Tux Paint nun idioma que require o seu propio tipo de letra, Tux Paint tentará cargar o ficheiro de letra dende o directorio «`fonts`» do sistema (nun subdirectorio «`locale`»). O nome do ficheiro corresponde ás dúas primeiras letras do código «local» do idioma (por exemplo, «ko» para coreano, «ja» para xaponés, «zh_tw» para chinés tradicional).

Por exemplo, en Linux ou Unix, cando Tux Paint se executa en coreano (é dicir, coa opción «`--lang korean`»), Tux Paint tentará cargar o seguinte ficheiro de tipo de letra:

> `/usr/share/tuxpaint/fonts/locale/ko.ttf`

You can download fonts for supported languages from Tux Paint's website, https://tuxpaint.org/. (Look in the 'Fonts' section under 'Download.')

En Unix e Linux, pode usar o `Makefile` que vén co tipo de letra para instalalo no lugar adecuado.